Skip to content
Amplify APIReference

Retrieve performance statistics for all marketer campaigns by periodic hourly breakdown

GET/reports/marketers/{id}/campaigns/periodicHourly
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

Marketer id

Query Parameters

hours?number

Number of hours to return from now. Default is 24, Maximum is 48 hours.

campaignId?string

Limit to data of the campaign with the given IDs (takes precedence over budgetId).

limit?number

Number of results to return in this request for each campaign. default is 10.

offset?number

Result number to start this response at. zero based. Used with limit for pagination. default is 0.

filter?string

Can have the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, id, fromDate and toDate. For more details about reports filtering read this.

breakdown?string

Defines the periodic breakdown of data, either daily, weekly, monthly, hourOfDay, dayOfWeek or dayOfWeekByHour. Default is daily.

includeArchivedCampaigns?string

Include data of archived campaigns, default false.

includeConversionDetails?string

Include metrics of conversion pixels, default false.

conversionsByClickDate?string

Report conversion metrics by click or conversion date, default false (report by conversion date).

enabledCampaignsOnly?string

Include data of active campaigns only (data of inactive campaigns will not be shown). Relevant only when requesting all campaigns

Response Body

application/json

curl -X GET "https://example.com/reports/marketers/abf4b02153ee75f3cadc4fc128ab0419ab/campaigns/periodicHourly?hours=24&campaignId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&limit=10&offset=3&filter=clicks%2Bgt%2B99&breakdown=monthly&includeArchivedCampaigns=true&includeConversionDetails=false&conversionsByClickDate=true&enabledCampaignsOnly=true"
{  "campaignResults": [    {      "campaignId": "00794b5d12563a4ab03e9f43b2014xxx19",      "results": [        {          "metadata": {            "id": "2023-07-09 06:00:00",            "fromDate": "2023-07-09 06:00:00",            "toDate": "2023-07-09 07:00:00"          },          "metrics": {            "impressions": 23,            "clicks": 12,            "totalConversions": 0,            "conversions": 0,            "viewConversions": 0,            "spend": 0,            "ecpc": 0,            "ctr": 0,            "conversionRate": 0,            "viewConversionRate": 0,            "cpa": 0,            "totalCpa": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "totalRoas": 0,            "roas": 0,            "videoReachedFirstQ": 0,            "videoReachedSecondQ": 0,            "videoReachedThirdQ": 0,            "videoReachedCompletion": 0,            "videoViewDuration": 0,            "videoAvgViewDuration": 0,            "videoPlays": 0          }        },        {          "metadata": {            "id": "2023-07-09 05:00:00",            "fromDate": "2023-07-09 05:00:00",            "toDate": "2023-07-09 06:00:00"          },          "metrics": {            "impressions": 23,            "clicks": 1,            "totalConversions": 0,            "conversions": 0,            "viewConversions": 0,            "spend": 0,            "ecpc": 0,            "ctr": 0,            "conversionRate": 0,            "viewConversionRate": 0,            "cpa": 0,            "totalCpa": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "totalRoas": 0,            "roas": 0,            "videoReachedFirstQ": 0,            "videoReachedSecondQ": 0,            "videoReachedThirdQ": 0,            "videoReachedCompletion": 0,            "videoViewDuration": 0,            "videoAvgViewDuration": 0,            "videoPlays": 0          }        },        {          "metadata": {            "id": "2023-07-09 04:00:00",            "fromDate": "2023-07-09 04:00:00",            "toDate": "2023-07-09 05:00:00"          },          "metrics": {            "impressions": 0,            "clicks": 0,            "totalConversions": 0,            "conversions": 0,            "viewConversions": 0,            "spend": 0,            "ecpc": 0,            "ctr": 0,            "conversionRate": 0,            "viewConversionRate": 0,            "cpa": 0,            "totalCpa": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "totalRoas": 0,            "roas": 0,            "videoReachedFirstQ": 0,            "videoReachedSecondQ": 0,            "videoReachedThirdQ": 0,            "videoReachedCompletion": 0,            "videoViewDuration": 0,            "videoAvgViewDuration": 0,            "videoPlays": 0          }        }      ],      "totalResults": 3    }  ],  "totalCampaigns": 1}